Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Groovy] Class GORMEnhancingBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.orm.hibernate.cfg.GORMEnhancingBeanPostProcessor

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware

    class GORMEnhancingBeanPostProcessor
    extends BeanPostProcessorAdapter

Enhances an existing SessionFactory with GORM behavior.

Authors:
  Graeme Rocher

Since:
  1.1

Property Summary
`org.springframework.context.ApplicationContext` | `applicationContext`

Method Summary
`java.lang.Object` | `postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)`

Methods inherited from class BeanPostProcessorAdapter
postProcessAfterInitialization, postProcessBeforeInitialization

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### applicationContext

    org.springframework.context.ApplicationContext applicationContext

Method Detail

### postProcessAfterInitialization

    java.lang.Object postProcessAfterInitialization(java.lang.Object bean, java.lang.String beanName)

Groovy Documentation